## org.apache.lucene.search.vectorhighlight
Class FieldPhraseList.WeightedPhraseInfo

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo

Enclosing class:
  FieldPhraseList

    public static class FieldPhraseList.WeightedPhraseInfo

extends java.lang.Object

Nested Class Summary
`static class` `FieldPhraseList.WeightedPhraseInfo.Toffs`

Constructor Summary
`FieldPhraseList.WeightedPhraseInfo(java.util.LinkedList<FieldTermStack.TermInfo> terms, float boost)`
`FieldPhraseList.WeightedPhraseInfo(java.util.LinkedList<FieldTermStack.TermInfo> terms, float boost, int number)`

Method Summary
`int` `getEndOffset()`
`int` `getStartOffset()`
`boolean` `isOffsetOverlap(FieldPhraseList.WeightedPhraseInfo other)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldPhraseList.WeightedPhraseInfo

    public FieldPhraseList.WeightedPhraseInfo(java.util.LinkedList<FieldTermStack.TermInfo> terms,
                                              float boost)

### FieldPhraseList.WeightedPhraseInfo

    public FieldPhraseList.WeightedPhraseInfo(java.util.LinkedList<FieldTermStack.TermInfo> terms,
                                              float boost,
                                              int number)

Method Detail

### getStartOffset

    public int getStartOffset()

### getEndOffset

    public int getEndOffset()

### isOffsetOverlap

    public boolean isOffsetOverlap(FieldPhraseList.WeightedPhraseInfo other)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.